import React from 'react';
import { Meta } from '@storybook/react';
import { Tooltip, TooltipTrigger, TooltipContent, TooltipProvider } from './index';
import { delay } from 'lodash-es';

export default {
  title: 'Components/Tooltip',
  component: Tooltip,
  argTypes: {
    delay: {
      control: 'number',
      name: 'delay (in ms)',
      defaultValue: 0,
    },
    side: {
      control: 'select',
      options: ['top', 'bottom', 'left', 'right'],
    },
  },
} as Meta<typeof Tooltip>;

const TooltipStory = (args: any) => {
  return (
    <TooltipProvider delayDuration={args.delay}>
      <div className="flex justify-center items-center py-16">
        <Tooltip {...args}>
          <TooltipTrigger>
            <button className={'mx-auto'}>Hover over me</button>
          </TooltipTrigger>
          <TooltipContent side={args.side}>
            <p>This is a tooltip</p>
          </TooltipContent>
        </Tooltip>
      </div>
    </TooltipProvider>
  );
};

TooltipStory.args = {
  side: 'bottom',
};

export const TooltipPosition = TooltipStory.bind({});
TooltipPosition.args = {
  side: 'bottom',
};
